      SUBROUTINE  Swap4( A )
C
C       REVERSE ORDER OF BYTES IN INTEGER*4 WORD, or REAL*4
C
C
C     .. Scalar Arguments ..
      INTEGER  * 4 A
C     ..
C     .. Local Scalars ..
      CHARACTER  Ktemp * 1
      INTEGER  Itemp
C     ..
C     .. Local Arrays ..
      CHARACTER  Jtemp( 4 ) * 1
C     ..
C     .. Equivalences ..
      EQUIVALENCE ( Jtemp(1), Itemp )
C     ..

      Itemp  = A
      Ktemp  = Jtemp( 4 )
      Jtemp( 4 ) = Jtemp( 1 )
      Jtemp( 1 ) = Ktemp
      Ktemp  = Jtemp( 3 )
      Jtemp( 3 ) = Jtemp( 2 )
      Jtemp( 2 ) = Ktemp
      A      = Itemp

      RETURN

      END
